# This source file is part of the SMART tool, for preprocessing of EEG data. 
#    Copyright (C) 2011  Manish Saggar
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#!/usr/bin/perl 
use CGI qw(:standard);
use CGI::Carp qw(warningsToBrowser fatalsToBrowser);
use strict;
use Fcntl qw(:flock :seek);

my $filename = param('filename');
my $numEEGCh = 88; 

my $outfile = "/Library/WebServer/Documents/";
$outfile .= $filename;

   open(OUT, ">$outfile") or &dienice("Couldn't open $outfile: $!");
   # set an exclusive lock
   flock(OUT, LOCK_EX); 
   # then seek the end of the file
   seek(OUT, 0, SEEK_END);
   for(my $i=1;$i<$numEEGCh+1; $i++){	
   	print OUT "$i ", param($i),"\n";
   }
   close(OUT);

print redirect("Thank You\n");

sub dienice {
    my($msg) = @_;
    print header;
    print start_html("Error");
    print h2("Error");
    print $msg;
    print end_html;
    exit;
}
